#!/bin/bash
#
#
#   @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
#   @license AGPL-3.0
#
#   This code is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
#
#   Any use of the work other than as authorized under this license or copyright law is prohibited.
#
#

OXFUNCTIONS=@oxfunctions@
OXCONFIG=@oxscriptconf@

test -f $OXFUNCTIONS || {
	echo "missing common shell functions file"
	exit 1
}

. $OXFUNCTIONS

test -f $OXCONFIG && . $OXCONFIG

ox_set_JAVA_BIN

BNAME=$(basename $0)
ACTION=
case "${BNAME}" in
    "createoauthclient")
    ACTION="CreateOAuthClientManagementCLT"
    ;;
    "enableoauthclient")
    ACTION="EnableOAuthClientManagementCLT"
    ;;
    "disableoauthclient")
    ACTION="DisableOAuthClientManagementCLT"
    ;;
    "getoauthclient")
    ACTION="GetOAuthClientManagementCLT"
    ;;
    "listoauthclient")
    ACTION="ListOAuthClientManagementCLT"
    ;;
    "removeoauthclient")
    ACTION="RemoveOAuthClientManagementCLT"
    ;;
    "revokeoauthclient")
    ACTION="RevokeOAuthClientManagementCLT"
    ;;
    "updateoauthclient")
    ACTION="UpdateOAuthClientManagementCLT"
    ;;
esac

JAVAMAIN="com.openexchange.admin.console.oauth.${ACTION}"

test -z "$JAVA_OXCMD_OPTS" && JAVA_OXCMD_OPTS="-Xmx280M"

JAVA_OPTS="${JAVA_OXCMD_OPTS} \
-Djava.awt.headless=true \
-Dopenexchange.propdir=$PROPERTIESDIR"

CLASSPATH="-classpath @classpath@"

ADMINCP=$(for jar in $LIBPATH/*.jar; do
    if [[ "${jar}" == *"calcengine"* ]]; then
        continue
    fi
    echo -n "${jar}:"
    done)

exec $JAVA_BIN $JAVA_OPTS $CLASSPATH:$ADMINCP $JAVAMAIN "$@"
